Description

XRay-PDA 0.7.11 patch for playing with S.T.A.L.K.E.R. Anomaly 1.3.2. This zip contains the patch as well as a reading recommended README file.

Preview
XRay PDA 0.7.11 + Anomaly 1.3.2
Comments
ybl
ybl - - 7 comments

I'd like to give it a try but the .rar file seems broken ? 7zip does not want to open it. "File can not be opened as archive" Can anyone confirm this ?

Reply Good karma Bad karma+2 votes
Gazprom Author
Gazprom - - 380 comments

Update WinRAR or 7zip. It did it to me also with every archive I wanted to open, after the update it worked just fine.

Reply Good karma+2 votes
HartmannMk
HartmannMk - - 79 comments

Not working

Reply Good karma Bad karma+2 votes
Gazprom Author
Gazprom - - 380 comments

Updated. There was an issue with Anomaly default fsgame.ltx, I've fixed that.

Reply Good karma+2 votes
paranoiia8
paranoiia8 - - 519 comments

So now game should not force close when using quick save?

Reply Good karma Bad karma+2 votes
Gazprom Author
Gazprom - - 380 comments

Well that's a problem, but I think it's related to memory issues.
Everything I've done with the fsgame was inverting 2 lines to establish a right hierarchy just between mods and updates, unfortunately this kind of things has to be sorted out in the engine code.
I don't know which x64 engine is Anomaly using, but the vast majority of x64 mods for STALKER use a "fake" one: they just compile everything in x64, but the script engine and the render won't use more memory even if allocated, so OOM-related crashes are still, even if more distant, a thing.
I had crashes on Dead Air and Anomaly just if I played for 10 minutes, it's not strange if the game crashes when quick saving: it's a very heavy process, think that it lags also on the vanilla game with some mods on!
I suggest you to lower some settings or exiting and entering again after a while, well... the same things of always lol

Reply Good karma+2 votes
paranoiia8
paranoiia8 - - 519 comments

I know that most of those x64 didnt touched rendering part and game still lack of any support for proper usage of even multi-threating(only original Im-dex repo used in Radium actually touched that).
But my problem is related to this error:
""LUA error: c:\games\anomaly-repack\gamedata\scripts\level_input.script:73: attempt to index global 'savegame_conditions' (a nil value)""

Normally it crash without error when using quick save, but I managed to catch that once...

As for reducing settings it dont work, like always in Stalker it was first thing that I did :D

Reply Good karma Bad karma+2 votes
Gazprom Author
Gazprom - - 380 comments

That's strange.
I've modified that script to bind a key to my console, but at the 73rd line there's a conditional for the quicksave regarding Agony mode, which I haven't touched.
I've double checked it and spammed quick saves just to make sure, there are no errors and crashes, still I don't know which is the problem.
Might still be related to memory, I had crashes with the old Pripyat Reborn mod of Alundaio regarding scripts that were perfectly fine and correct.

Reply Good karma+1 vote
ScottyVrakis
ScottyVrakis - - 9 comments

So I'm guessing this doesn't work with 1.40?

Reply Good karma Bad karma+1 vote
Zyankali95
Zyankali95 - - 11 comments

So I'm guessing this also doesn't work with 1.50?

Reply Good karma Bad karma+1 vote
Guest
Guest - - 692,237 comments

is this still alive?

Reply Good karma Bad karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.

Tags

XRay PDA 0.7.11 + Anomaly 1.3.2 has not been tagged yet.